Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.interview
Class ConcurrencyInterview

    java.lang.Object
      com.sun.interview.Interview
          com.sun.javatest.interview.ConcurrencyInterview

All Implemented Interfaces:
  Parameters.ConcurrencyParameters, Parameters.MutableConcurrencyParameters

    public class ConcurrencyInterview

extends Interview
implements Parameters.MutableConcurrencyParameters

This interview collects the concurrency parameter. It is normally used as one of a series of sub-interviews that collect the parameter information for a test run.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.interview.Interview
`Interview.BadHelpFault, Interview.Fault, Interview.HelpNotFoundFault, Interview.NotOnPathFault, Interview.Observer`

Field Summary

Fields inherited from class com.sun.interview.Interview
`CHECKSUM, EXPORT_IGNORE_ALL_EXCEPTIONS, EXPORT_IGNORE_NO_EXCEPTIONS, EXPORT_IGNORE_RUNTIME_EXCEPTIONS, EXTERNAL_PREF, INTERVIEW, LOCALE, MARKERS, MARKERS_PREF, QUESTION, SEMANTIC_MAX_VERSION, SEMANTIC_PRE_32, SEMANTIC_VERSION_32, SEMANTIC_VERSION_43, TEMPLATE_PREF`

Fields inherited from interface com.sun.javatest.Parameters.ConcurrencyParameters
`MAX_CONCURRENCY, MIN_CONCURRENCY`

Constructor Summary
`ConcurrencyInterview(Interview parent)` Create an interview.

Method Summary
`int` | `getConcurrency()` Get the concurrency value from the interview.
`void` | `setConcurrency(int conc)` Set the concurrency value in the interview.

Methods inherited from class com.sun.interview.Interview
`addObserver, callInterview, clear, clearMarkedResponses, containsObserver, createChecklist, createChecklistItem, createChecklistItem, createChecklistItem, export, getAllQuestions, getCurrentQuestion, getDefaultImage, getExportIgnoreExceptionPolicy, getExternalProperties, getFirstQuestion, getHelpSet, getInterview, getInterviewSemantics, getParent, getPath, getPathToCurrent, getPropertyKeys, getQuestions, getRawPath, getResourceBundle, getResourceString, getResourceString, getRoot, getTag, getTitle, hasNext, hasValidNext, isChecklistEmpty, isChecksumValid, isEdited, isFinishable, isFirst, isInterviewFinishable, isLast, isRoot, isStarted, iteratePath, iteratePathToCurrent, last, load, load, next, pathContains, pathContains, prev, propagateTemplateForAll, readLocale, removeAllMarkers, removeMarkers, removeObserver, reset, retrieveProperty, retrieveTemplateKeys, retrieveTemplateProperty, save, setBaseTag, setCurrentQuestion, setDefaultImage, setEdited, setExportIgnoreExceptionPolicy, setFirstQuestion, setHelpSet, setHelpSet, setHelpSet, setInterviewSemantics, setResourceBundle, setResourceBundle, setTitle, storeProperty, storeTemplateProperties, storeTemplateProperty, updatePath, updatePath, verifyPathContains, writeLocale`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConcurrencyInterview

    public ConcurrencyInterview(Interview parent)
                         throws Interview.Fault

  Create an interview.

  Parameters:
    `parent` - The parent interview of which this is a child.
  Throws:
    `Interview.Fault` - if there is a problem while creating the interview.

Method Detail

### getConcurrency

    public int getConcurrency()

  Get the concurrency value from the interview.

  Specified by:
    `getConcurrency` in interface `Parameters.ConcurrencyParameters`
  Returns:
    an integer representing the desired concurrency for a test run.
  See Also:
    `setConcurrency(int)`

### setConcurrency

    public void setConcurrency(int conc)

  Set the concurrency value in the interview.

  Specified by:
    `setConcurrency` in interface `Parameters.MutableConcurrencyParameters`
  Parameters:
    `conc` - The desired concurrency value.
  See Also:
    `getConcurrency()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.